javax.el

## Class MethodInfo

- java.lang.Object
- - javax.el.MethodInfo

    public class MethodInfo
    extends java.lang.Object

Holds information about a method that a `MethodExpression` evaluated to.

Since:
  JSP 2.1

### Constructor Summary

Constructors
Constructor and Description
`MethodInfo(java.lang.String name, java.lang.Class<?> returnType, java.lang.Class<?>[] paramTypes)` Creates a new instance of `MethodInfo` with the given information.

### Method Summary

Methods
`java.lang.String` `getName()` Returns the name of the method
`java.lang.Class<?>[]` `getParamTypes()` Returns the parameter types of the method
`java.lang.Class<?>` `getReturnType()` Returns the return type of the method

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodInfo

    public MethodInfo(java.lang.String name,
              java.lang.Class<?> returnType,
              java.lang.Class<?>[] paramTypes)

Creates a new instance of `MethodInfo` with the given information.

Parameters:
  `name` - The name of the method
  `returnType` - The return type of the method
  `paramTypes` - The types of each of the method's parameters

### Method Detail

#### getName

    public java.lang.String getName()

Returns the name of the method

Returns:
  the name of the method

#### getReturnType

    public java.lang.Class<?> getReturnType()

Returns the return type of the method

Returns:
  the return type of the method

#### getParamTypes

    public java.lang.Class<?>[] getParamTypes()

Returns the parameter types of the method

Returns:
  the parameter types of the method